Draft Array/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "==Volby== * Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.")
(Created page with "==Vlastnosti== * {{PropertyData|Typ pole}}: Specifikuje typ pole ortogonální nebo polární")
Line 13: Line 13:
* Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.
* Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.


==Properties==
==Vlastnosti==
* {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
* {{PropertyData|Typ pole}}: Specifikuje typ pole ortogonální nebo polární


For orthogonal arrays:
For orthogonal arrays:

Revision as of 17:55, 17 February 2014

Draft_Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Popis

Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.

Použití

  1. Vyberte objekt, ze kterého chcete udělat pole
  2. Stiskněte tlačítko Pole

Volby

  • Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.

Vlastnosti

  • ÚdajeTyp pole: Specifikuje typ pole ortogonální nebo polární

For orthogonal arrays:

  • ÚdajeInterval X: The interval between each copy on the first axis
  • ÚdajeInterval Y: The interval between each copy on the second axis
  • ÚdajeInterval Z: The interval between each copy on the third axis
  • ÚdajeNumber X: The number of copies on the first axis
  • ÚdajeNumber Y: The number of copies on the second axis
  • ÚdajeNumber Z: The number of copies on the third axis

For polar arrays:

  • ÚdajeAxis: The normal direction of the array circle
  • ÚdajeCenter: The center point of the array
  • ÚdajeAngle: The angle to cover with copies
  • ÚdajeNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)